Get Current User
curl --request GET \
--url https://api.example.com/v1/meimport requests
url = "https://api.example.com/v1/me"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"subscription": {
"status": "<string>",
"plan": "<string>",
"minutesUsed": 123,
"minutesRemaining": 123
}
}Account
Get Current User
Get information about the authenticated user and their subscription
GET
/
v1
/
me
Get Current User
Returns the current user’s account details and subscription status.
Request
curl -X GET "https://app.transcord.app/api/v1/me" \
-H "Authorization: Bearer tr_live_your_api_key"
const response = await fetch('https://app.transcord.app/api/v1/me', {
headers: {
'Authorization': 'Bearer tr_live_your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://app.transcord.app/api/v1/me',
headers={'Authorization': 'Bearer tr_live_your_api_key'}
)
data = response.json()
Response
object
object
Response
{
"user": {
"id": "clx1234567890",
"email": "you@example.com",
"name": "Your Name"
},
"subscription": {
"status": "active",
"plan": "pro",
"minutesUsed": 127,
"minutesRemaining": 273
}
}
Errors
| Status | Description |
|---|---|
401 | Invalid or missing API key |
⌘I